%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache/Test.pm) perl(Apache/TestMM.pm) perl(Apache/TestRequest.pm) perl(Apache/TestRun.pm) perl(Apache/TestUtil.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(IO/File.pm) perl(JSON/XS.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name WebService-UrbanAirship
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: routines for Urban Airship APIs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GE/GEOFF/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WebService::UrbanAirship is a base class for accessing the.Urban Airship API, as described in http://urbanairship.com/docs/

currently, the only useful class is WebService::UrbanAirship::APNS,
which serves as an API for the Apple Push Notification service
for the iPhone.  additional classes may come as Urban Airship
offers support for the Apple Store Kit and other APIs in the future.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/W*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

